Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class FigureGenerator

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.FigureGenerator

All Implemented Interfaces:
  org.eclipse.gmf.internal.common.codegen.TextEmitter

public class FigureGenerator
extends java.lang.Object
implements org.eclipse.gmf.internal.common.codegen.TextEmitter

Constructor Summary
`FigureGenerator(FigureQualifiedNameSwitch figureNameSwitch, boolean asInnerClass)`
`FigureGenerator(FigureQualifiedNameSwitch figureNameSwitch, MapModeCodeGenStrategy mapModeStrategy, boolean placeStaticFieldsOutsideClassBody)`

Method Summary
`java.lang.String` `generate(IProgressMonitor monitor, java.lang.Object[] arguments)`
`java.lang.String` `go(Figure fig, ImportAssistant importManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FigureGenerator

    public FigureGenerator(FigureQualifiedNameSwitch figureNameSwitch,
                           boolean asInnerClass)

### FigureGenerator

    public FigureGenerator(FigureQualifiedNameSwitch figureNameSwitch,
                           MapModeCodeGenStrategy mapModeStrategy,
                           boolean placeStaticFieldsOutsideClassBody)

Method Detail

### generate

    public java.lang.String generate(IProgressMonitor monitor,
                                     java.lang.Object[] arguments)
                              throws java.lang.InterruptedException,
                                     java.lang.reflect.InvocationTargetException,
                                     UnexpectedBehaviourException

  Specified by:
    `generate` in interface `org.eclipse.gmf.internal.common.codegen.TextEmitter`
  Throws:
    `java.lang.InterruptedException`
    `java.lang.reflect.InvocationTargetException`
    `UnexpectedBehaviourException`

### go

    public java.lang.String go(Figure fig,
                               ImportAssistant importManager)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.